#!/bin/sh
#
# Copyright (c) 2010,2012 digitalSTROM.org, Zurich, Switzerland
#
# Author: Sergey 'Jin' Bostandzhyan <jin@mediatomb.cc>
#
# This file is part of digitalSTROM Server.
#
# netinfo.sh is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# netinfo.sh is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this file. If not, see <http://www.gnu.org/licenses/>.
#
# This file needs to be sourced in all shell or haserl scripts which want to
# use gettext.

CFGDIR="/etc/default"
LOCALECFG="$CFGDIR/locale"

LOCALEDIR="/www/pages/locale"

export TEXTDOMAIN="dss11shell"
export TEXTDOMAINDIR="$LOCALEDIR"

if [[ -f $LOCALECFG ]]; then
    . $LOCALECFG
fi

# default and minimum supported locale is de_DE
if [[ -z $DSS11_LOCALE ]]; then
    DSS11_LOCALE="de_DE"
    DSS11_LANGUAGE="Deutsch"
fi


export LC_ALL="$DSS11_LOCALE"

if [[ -f "/usr/bin/gettext.sh" ]]; then
    . /usr/bin/gettext.sh
else
    eval_gettext() { 
        echo -n "$1" 
    }
    eval_ngettext() { 
        if [[ "$3" -gt "0" ]]; then 
            echo -n "$2" 
        else 
            echo -n "$1"
        fi
    }
fi

